import {Component, OnInit} from '@angular/core';
import {LifeCommonService} from "../life-common.service";

@Component({
  selector: 'ydlife-guide-page',
  templateUrl: './guide-page.component.html',
  styleUrls: ['./guide-page.component.scss']
})
export class GuidePageComponent implements OnInit {

  constructor(private lifeCommonService: LifeCommonService) {
  }

  ngOnInit() {
    setTimeout(() => {
      this.closeGuidePage();
    }, 6000);
  }

  closeGuidePage() {
    this.lifeCommonService.shareStatusPublish(0);
  }

}
